Bug 1328346 (zendframework/zend-router) - Review Request: php-zendframework-zend-router - Zend Framework Router component
Summary: Review Request: php-zendframework-zend-router - Zend Framework Router component
Status: CLOSED ERRATA
Alias: zendframework/zend-router
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 07:51 UTC by Remi Collet
Modified: 2016-06-18 18:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 18:54:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (14.59 KB, text/plain)
2016-05-30 02:22 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (9.51 KB, text/plain)
2016-05-30 02:23 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.90 KB, text/plain)
2016-05-30 02:23 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-04-19 07:51:37 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/7b5409e23e18566aceeb4c733472a8bc3cf37474/php/zend/php-zendframework-zend-router/php-zendframework-zend-router.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-router-3.0.1-1.remi.src.rpm
Description: 
zend-router provides flexible HTTP routing.

Routing currently works against the zend-http request and responses,
and provides capabilities around:

* Literal path matches
* Path segment matches (at path boundaries, and optionally validated
  using regex)
* Regular expression path matches
* HTTP request scheme
* HTTP request method
* Hostname

Additionally, it supports combinations of different route types in tree
structures, allowing for fast, b-tree lookups.


Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2016-05-30 02:22 UTC
Created attachment 1162636 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 03 2016 08:07:20 CEST

Comment 2 Shawn Iwinski 2016-05-30 02:23 UTC
Created attachment 1162637 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 03 2016 08:07:20 CEST

Comment 3 Shawn Iwinski 2016-05-30 02:23 UTC
Created attachment 1162639 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1328346
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-05-30 02:24:52 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-05-30 03:48:25 UTC
Thanks!

SCM request open.

Comment 6 Gwyn Ciesla 2016-05-30 16:07:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-router

Comment 7 Fedora Update System 2016-05-31 05:16:17 UTC
php-zendframework-zend-router-3.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b3e129dff

Comment 8 Fedora Update System 2016-05-31 08:52:50 UTC
php-zendframework-zend-router-3.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b3e129dff

Comment 9 Fedora Update System 2016-06-18 18:54:08 UTC
php-zendframework-zend-router-3.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.